/**
 * Copyright (C) 2008 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.runtime.impl;

import org.ow2.orchestra.facade.runtime.ActivityType;
import org.ow2.orchestra.facade.runtime.ForeachActivityInstance;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Gael Lalire
 */
@XmlRootElement(name = "foreachInstance")
public class ForeachActivityInstanceImpl extends ActivityWithChildrenInstanceImpl implements ForeachActivityInstance {

  private static final long serialVersionUID = -8696405119148398704L;
  @XmlElement
  private int startValue;
  @XmlElement
  private int stopValue;
  @XmlElement
  private Integer completionConditionValue;

  protected ForeachActivityInstanceImpl() {}

  public ForeachActivityInstanceImpl(final ForeachActivityInstance record) {
    super(record);
    this.startValue = record.getStartValue();
    this.stopValue = record.getStopValue();
    this.completionConditionValue = record.getCompletionConditionValue();
  }

  public ActivityType getType() {
    return ActivityType.FOR_EACH;
  }

  public Integer getCompletionConditionValue() {
    return this.completionConditionValue;
  }

  public int getStartValue() {
    return this.startValue;
  }

  public int getStopValue() {
    return this.stopValue;
  }

}
